## NVR-0104%28GPL_v2%29_2014-02-05.zip

=== Makefile ===
#
# Top level Makefile for D00100 builds
#
# Author:  Seenergy Corp
#
# Copyright 2008 Seenergy Corp 
#

BUILD_DIR = build
HEADER_DIR = tools/rootfs_util/header

ROOTFS_DIR = fsdir
ROOTFS_EXT2 = $(BUILD_DIR)/nmdb.ext2
RAMDISK_GZ = $(BUILD_DIR)/ramdisk.gz

BKROOTFS_DIR = bkfsdir
BKROOTFS_EXT2 = $(BUILD_DIR)/bknmdb.ext2
BKRAMDISK_GZ = $(BUILD_DIR)/bkramdisk.gz
BKROOTFS_IMG = $(BUILD_DIR)/bkrootfs.img

KERNEL_DIR = kernel
KERNEL_IMG = $(BUILD_DIR)/uImage
ROOTFS_IMG = $(BUILD_DIR)/rootfs.img

OEM_DIR = oem

KERN_UPDT_IMG = $(BUILD_DIR)/updatek.bin
FS_UPDT_IMG = $(BUILD_DIR)/updatefs.bin

MKIMAGE = /opt/montavista/pro/bin/mkimage
FSTOOL = /opt/montavista/pro/bin/fstool

TOOLS_DIR = tools
BBOX = busybox-1.6.0
#BBOX = busybox-1.11.1
SVINIT = sysvinit-2.86.ds1.orig
UDEV_DIR = udev-0.105.orig/udev-105
SSH_DIR = openssh-4.4p1
SMB_DIR = samba-3.0.14a
NKITBASE_DIR = netkit-base-0.17
SSL_DIR = openssl-0.9.8e
STUNNEL_DIR = stunnel-3.26
NTOOLS_DIR = net-tools-1.60
MEMSTAT_DIR = memstat-0.4
MDADM_DIR = mdadm-2.6.4
PWD = `pwd`

APPS_DIR = apps
APPS_INST_DIR = rootfs
PJPROJ_DIR = pjproject-0.8.0
PRODTEST_DIR = prodtest

BRFS_INIT_DIR = bkrootfs_init

WEB_DIR = apps/web
WEB_MAKEFILE = rootfs_util/web
WEB_TAR = web.tar.gz
WEB_IMG = $(BUILD_DIR)/$(WEB_TAR)
WEB_UPDT_IMG = $(BUILD_DIR)/web.bin

UBOOT_DIR = uboot

TFTP_DIR = /tftpboot

UPDT_RESV = 474 ## Reserve 512 - (18 + 20)
UPDATE_IMAGE = $(BUILD_DIR)/firmware.tar
VERSION_FILE = $(APPS_DIR)/version.txt

include .config

all: kernel rootfs web 

############################
# 	Pre-Install rules
############################
preinstall:
	rm -rf $(BUILD_DIR) $(ROOTFS_DIR) $(BKROOTFS_DIR)
	install -d  $(BUILD_DIR) $(ROOTFS_DIR) $(BKROOTFS_DIR)

############################
# 	Post-Install rules
############################
postinstall: updatefs.bin web.bin
	gzip $(UPDATE_IMAGE)

full_postinstall: updatefs.bin updatek.bin web.bin
	gzip $(UPDATE_IMAGE)

updatefs.bin:
	cat $(HEADER_DIR)/rootfs.magic | xargs echo -n > $(FS_UPDT_IMG)
	cat $(VERSION_FILE) | xargs echo -n >> $(FS_UPDT_IMG)
	dd if=/dev/zero count=$(UPDT_RESV) bs=1 >> $(FS_UPDT_IMG)
	md5sum $(ROOTFS_IMG) | awk '{ print $$1 }' | xargs echo -n >> $(FS_UPDT_IMG)
	cat $(ROOTFS_IMG) >> $(FS_UPDT_IMG)
	tar rvf $(UPDATE_IMAGE) -C $(BUILD_DIR) `basename $(FS_UPDT_IMG)` 

updatek.bin:
	cat $(HEADER_DIR)/kern.magic | xargs echo -n > $(KERN_UPDT_IMG)
	cat $(VERSION_FILE) | xargs echo -n >> $(KERN_UPDT_IMG)
	dd if=/dev/zero count=$(UPDT_RESV) bs=1 >> $(KERN_UPDT_IMG)
	md5sum $(KERNEL_IMG) | awk '{ print $$1 }' | xargs echo -n >> $(KERN_UPDT_IMG)
	cat $(KERNEL_IMG) >> $(KERN_UPDT_IMG)
	tar rvf $(UPDATE_IMAGE) -C $(BUILD_DIR) `basename $(KERN_UPDT_IMG)` 

web.bin:
	cat $(HEADER_DIR)/web.magic | xargs echo -n > $(WEB_UPDT_IMG)
	cat $(VERSION_FILE) | xargs echo -n >> $(WEB_UPDT_IMG)
	dd if=/dev/zero count=$(UPDT_RESV) bs=1 >> $(WEB_UPDT_IMG)
	md5sum $(WEB_IMG) | awk '{ print $$1 }' | xargs echo -n >> $(WEB_UPDT_IMG)
	cat $(WEB_IMG)  >> $(WEB_UPDT_IMG)
	tar rvf $(UPDATE_IMAGE) -C $(BUILD_DIR) `basename $(WEB_UPDT_IMG)` 

############################
# 	Setversion
############################
setversion:
	make -C $(APPS_DIR) setversion

############################
# 	Kernel
############################
kernel:
	make -C $(KERNEL_DIR) uImage
	make -C $(KERNEL_DIR) modules


############################
# 	Root filesystem
############################
ROOTFS_DEPS=rootfsprep tools
ifeq ($(CONFIG_APPS),y)
	ROOTFS_DEPS+=apps_arm
endif
ifeq ($(CONFIG_PRODTEST),y)
	ROOTFS_DEPS+=prodtest
endif
rootfs: $(ROOTFS_DEPS)

$(ROOTFS_IMG):
	 $(MKIMAGE) -A arm -O linux -T ramdisk -C gzip -a 0 -e 0 -n 'init ramdisk' -d $(RAMDISK_GZ) $(ROOTFS_IMG)

$(BKROOTFS_IMG):
	 $(MKIMAGE) -A arm -O linux -T ramdisk -C gzip -a 0 -e 0 -n 'init ramdisk' -d $(BKRAMDISK_GZ) $(BKROOTFS_IMG)

$(RAMDISK_GZ):
	$(FSTOOL) -t ext2 -d $(ROOTFS_DIR) $(ROOTFS_EXT2)
	gzip -9 < $(ROOTFS_EXT2) > $(RAMDISK_GZ)
	$(FSTOOL) -t ext2 -d $(BKROOTFS_DIR) $(BKROOTFS_EXT2)
	gzip -9 < $(BKROOTFS_EXT2) > $(BKRAMDISK_GZ)


############################
# 	Tools
############################
TOOLS_OBJS=bbox svinit udev netkit-base
ifeq ($(CONFIG_SMB),y)
	TOOLS_OBJS+=samba 
endif
ifeq ($(CONFIG_OPENSSH),y)
	TOOLS_OBJS+=openssh
endif
ifeq ($(CONFIG_OPENSSL),y)
	TOOLS_OBJS+=openssl
endif
ifeq ($(CONFIG_STUNNEL),y)
	TOOLS_OBJS+=stunnel 
endif
ifeq ($(CONFIG_NETTOOL),y)
	TOOLS_OBJS+=nettool
endif
ifeq ($(CONFIG_MEMSTAT),y)
	TOOLS_OBJS+=memstat
endif
ifeq ($(CONFIG_MDADM),y)
	TOOLS_OBJS+=mdadm
endif

tools: $(TOOLS_OBJS)

#
# Tools - Busybox
#
bbox:
	make -C $(TOOLS_DIR)/$(BBOX) CROSS_COMPILER_PREFIX=arm_v5t_le- 'CC=arm_v5t_le-gcc ' AR=arm_v5t_le-ar \
		STRIP=arm_v5t_le-strip STRIPTOOL=true DODEBUG=true CONFIG_PREFIX=$(ROOTFS_DIR) install V=1 

bbox_clean:
	make -C $(TOOLS_DIR)/$(BBOX) clean

bbox_install: bkbbox_install
	cp -a $(TOOLS_DIR)/$(BBOX)/$(ROOTFS_DIR)/* $(ROOTFS_DIR)/
	mkdir -p $(ROOTFS_DIR)/usr/share/udhcpc/
	install -m755 $(TOOLS_DIR)/$(BBOX)/examples/udhcp/default.script $(ROOTFS_DIR)/usr/share/udhcpc/
	install -m755 $(TOOLS_DIR)/$(BBOX)/examples/interfaces $(ROOTFS_DIR)/etc/network/
	install -d $(ROOTFS_DIR)/etc/network/if-pre-up.d \
		$(ROOTFS_DIR)/etc/network/if-up.d \
		$(ROOTFS_DIR)/etc/network/if-down.d \
		$(ROOTFS_DIR)/etc/network/if-post-down.d
	install -d $(ROOTFS_DIR)/var/lib/misc
	touch $(ROOTFS_DIR)/var/lib/misc/udhcpd.leases
	
bkbbox_install:
	cp -a $(TOOLS_DIR)/$(BBOX)/$(ROOTFS_DIR)/* $(BKROOTFS_DIR)/
	mkdir -p $(BKROOTFS_DIR)/usr/share/udhcpc/
	install -m755 $(TOOLS_DIR)/$(BBOX)/examples/udhcp/default.script $(BKROOTFS_DIR)/usr/share/udhcpc/
	install -m755 $(TOOLS_DIR)/$(BBOX)/examples/interfaces $(BKROOTFS_DIR)/etc/network/
	install -d $(BKROOTFS_DIR)/etc/network/if-pre-up.d \
		$(BKROOTFS_DIR)/etc/network/if-up.d \
		$(BKROOTFS_DIR)/etc/network/if-down.d \
		$(BKROOTFS_DIR)/etc/network/if-post-down.d
	install -d $(BKROOTFS_DIR)/var/lib/misc
	touch $(BKROOTFS_DIR)/var/lib/misc/udhcpd.leases

#
# Tools - SysV Init
#
svinit:
	make -C $(TOOLS_DIR)/$(SVINIT)/src CC=arm_v5t_le-gcc LDFLAGS=	CONFIG_PREFIX=../../$(ROOTFS_DIR)
	arm_v5t_le-strip -s $(TOOLS_DIR)/$(SVINIT)/src/bootlogd $(TOOLS_DIR)/$(SVINIT)/src/halt \
		$(TOOLS_DIR)/$(SVINIT)/src/init $(TOOLS_DIR)/$(SVINIT)/src/killall5 \
		$(TOOLS_DIR)/$(SVINIT)/src/last $(TOOLS_DIR)/$(SVINIT)/src/mesg \
		$(TOOLS_DIR)/$(SVINIT)/src/mountpoint $(TOOLS_DIR)/$(SVINIT)/src/runlevel \
		$(TOOLS_DIR)/$(SVINIT)/src/shutdown $(TOOLS_DIR)/$(SVINIT)/src/sulogin \
		$(TOOLS_DIR)/$(SVINIT)/src/utmpdump $(TOOLS_DIR)/$(SVINIT)/src/wall 

svinit_clean:
	make -C $(TOOLS_DIR)/$(SVINIT)/src clean

svinit_install: bksvinit_install
	make -C $(TOOLS_DIR)/$(SVINIT)/src ROOT=../../../$(ROOTFS_DIR) INSTALL=install install
	install -d $(ROOTFS_DIR)/etc
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/share/inittab $(ROOTFS_DIR)/etc
	cp -a $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/init.d \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/rc.d $(ROOTFS_DIR)/etc
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/sysv-rc/etc/init.d/rc \
		$(TOOLS_DIR)/$(SVINIT)/debian/sysv-rc/etc/init.d/rcS \
		$(ROOTFS_DIR)/etc/init.d/
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/sbin/fsck.nfs $(ROOTFS_DIR)/sbin/fsck.nfs
	install -m 644 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/bootlogd \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/devpts \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/halt \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/tmpfs \
		$(ROOTFS_DIR)/etc/default/.
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/share/default.rcS $(ROOTFS_DIR)/etc/default/rcS
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/init-functions $(ROOTFS_DIR)/etc/init.d/init-functions
	ln -sf sbin/init $(ROOTFS_DIR)/init
	ln -sf ../init.d/halt $(ROOTFS_DIR)/etc/rc.d/rc0.d/S90halt
	ln -sf ../init.d/reboot $(ROOTFS_DIR)/etc/rc.d/rc6.d/S90reboot
	ln -sf ../init.d/sendsigs $(ROOTFS_DIR)/etc/rc.d/rc0.d/S20sendsigs
	ln -sf ../init.d/sendsigs $(ROOTFS_DIR)/etc/rc.d/rc6.d/S20sendsigs
	ln -sf ../init.d/single $(ROOTFS_DIR)/etc/rc.d/rc1.d/S20single

bksvinit_install:
	#make -C $(TOOLS_DIR)/$(SVINIT)/src ROOT=../../../$(BKROOTFS_DIR) INSTALL=install install
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/src/init $(BKROOTFS_DIR)/sbin
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/src/mountpoint $(BKROOTFS_DIR)/bin
	install -d $(BKROOTFS_DIR)/etc
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/share/inittab $(BKROOTFS_DIR)/etc
	cp -a $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/init.d \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/rc.d $(BKROOTFS_DIR)/etc
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/sysv-rc/etc/init.d/rc \
		$(TOOLS_DIR)/$(SVINIT)/debian/sysv-rc/etc/init.d/rcS \
		$(BKROOTFS_DIR)/etc/init.d/
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/sbin/fsck.nfs $(BKROOTFS_DIR)/sbin/fsck.nfs
	install -m 644 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/bootlogd \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/devpts \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/halt \
		$(TOOLS_DIR)/$(SVINIT)/debian/initscripts/etc/default/tmpfs \
		$(BKROOTFS_DIR)/etc/default/.
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/share/default.rcS $(BKROOTFS_DIR)/etc/default/rcS
	install -m 755 $(TOOLS_DIR)/$(SVINIT)/debian/initscripts/init-functions $(BKROOTFS_DIR)/etc/init.d/init-functions
	ln -sf sbin/init $(BKROOTFS_DIR)/init
	ln -sf ../init.d/halt $(BKROOTFS_DIR)/etc/rc.d/rc0.d/S90halt
	ln -sf ../init.d/reboot $(BKROOTFS_DIR)/etc/rc.d/rc6.d/S90reboot
	ln -sf ../init.d/sendsigs $(BKROOTFS_DIR)/etc/rc.d/rc0.d/S20sendsigs
	ln -sf ../init.d/sendsigs $(BKROOTFS_DIR)/etc/rc.d/rc6.d/S20sendsigs
	ln -sf ../init.d/single $(BKROOTFS_DIR)/etc/rc.d/rc1.d/S20single


#
# Tools - udev
#
udev:
	make -C $(TOOLS_DIR)/$(UDEV_DIR)/ ARCH=none CROSS_COMPILE=arm_v5t_le- OPTIMIZATION=-O2 udevdir=/dev \
		USE_KLIBC=false USE_LOG=false DEBUG=false V=true 'EXTRAS=extras/scsi_id extras/volume_id'
	arm_v5t_le-strip -s $(TOOLS_DIR)/$(UDEV_DIR)/udevtest $(TOOLS_DIR)/$(UDEV_DIR)/udevinfo \
		$(TOOLS_DIR)/$(UDEV_DIR)/udevmonitor $(TOOLS_DIR)/$(UDEV_DIR)/udevsettle \
		$(TOOLS_DIR)/$(UDEV_DIR)/udevd $(TOOLS_DIR)/$(UDEV_DIR)/udevtrigger \
		$(TOOLS_DIR)/$(UDEV_DIR)/udevstart $(TOOLS_DIR)/$(UDEV_DIR)/udevcontrol

udev_clean:
	make -C $(TOOLS_DIR)/$(UDEV_DIR) clean

udev_install: bkudev_install
	make -C $(TOOLS_DIR)/$(UDEV_DIR)/ DESTDIR=../../../$(ROOTFS_DIR) install
	install -d $(ROOTFS_DIR)/etc/udev/scripts
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/scsi-devfs.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/ide-devfs.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/raid-devfs.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/usb-automnt.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -m 744 $(TOOLS_DIR)/$(UDEV_DIR)/../extra/hdd-automnt.sh $(ROOTFS_DIR)/etc/udev/scripts/
	install -d $(ROOTFS_DIR)/etc/init.d
	install $(TOOLS_DIR)/$(UDEV_DIR)/../debian/udev.init $(ROOTFS_DIR)/etc/init.d/udev
	install $(TOOLS_DIR)/$(UDEV_DIR)/../debian/udev.udev-mtab.init $(ROOTFS_DIR)/etc/init.d/udev-mtab
	install -m 644 $(TOOLS_DIR)/$(UDEV_DIR)/../rules/cd-aliases-generator.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/compat.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/devfs.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/hotplug.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/hotplugd.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/permissions.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/persistent-input.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/persistent-net-generator.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/persistent.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/run.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/udev.rules \
		$(TOOLS_DIR)/$(UDEV_DIR)/../rules/usb-automnt.rules \
