=== kernel/ltt/Makefile ===
#
# Makefile for the LTT objects.
#
obj-$(CONFIG_LTT)			+= ltt-core.o ltt-facilities.o facilities/ probes/
obj-$(CONFIG_LTT_USERSPACE_GENERIC)	+= ltt-syscall.o
obj-$(CONFIG_LTT_HEARTBEAT)		+= ltt-heartbeat.o
obj-$(CONFIG_LTT_TRACER)		+= ltt-tracer.o
obj-$(CONFIG_LTT_RELAY)			+= ltt-relay.o
obj-$(CONFIG_LTT_NETLINK_CONTROL)	+= ltt-control.o
obj-$(CONFIG_LTT_STATEDUMP)		+= ltt-statedump.o
obj-$(CONFIG_LTT_FACILITY_STACK)	+= ltt-stack.o
