=== tools/net-tools-1.60/debian/changelog ===
net-tools (1.60-17) unstable; urgency=medium

  * arp.c: bus error on sparc64 with latest gcc fixed. (Closes: Bug#340384)

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 04 Dec 2005 05:47:05 +0100

net-tools (1.60-16) unstable; urgency=low

  * spelling fix to slattach(8) (Closes: Bug#326124 (patch by A.Costa)
  * inet.c: portability fix for 64bit.
  * comment cleanups to aliagn with 1.65 cvs
    * net-support.h, inet_sr.c, nstrcmp.c, arp.c, ether.h

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 24 Oct 2005 22:05:38 +0200

net-tools (1.60-15) unstable; urgency=low

  * minor formating fix to ifconfig(8)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 30 Jun 2005 21:49:52 +0200

net-tools (1.60-14) unstable; urgency=low

  * added iptables(8) in ifconfig(8) (thanks Toralf Förster)
  * more usage updates in ifconfig.8 (used upstream HEAD=1.11)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 30 Jun 2005 20:51:18 +0200

net-tools (1.60-13) unstable; urgency=low  Thu, 30 Jun 2005 20:49:57 +0200

  * X25 code compiles with 2.4 and 2.6 kernel headers (Closes: Bug#271678)
  * IMPORTANT: make ifconfig show alias interfaces in 2.6 again. 
  * resort media type array to match kernel (Closes: Bug#199920)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 17 May 2005 01:28:51 +0200

net-tools (1.60-12) unstable; urgency=low

  * make TR hw address type work for new kernel (Closes: Bug #79462, #203400)
  * update-po uses msgmerge, new net-tools.pot (Closes: Bug: 271426)
  * de-support dontpub option in arp -? und arp.8 (Closes: Bug #203396)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 16 May 2005 06:33:48 +0200

net-tools (1.60-11) unstable; urgency=low

  * spelling fixes (Closes: Bug #305640, #305638, 305637)
  * nameif.c avoid overflow by malicious kernel
  * avoid overflow of the TX-OK Column (Closes: Bug #308922)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 14 May 2005 01:48:45 +0200

net-tools (1.60-10) unstable; urgency=low

  * typo fix in po/de.po for german arp command output (Closes: Bug #176151)
  * added diagnostics messages to mii-tool.8 (Closes: Bug #239229)
  * new version of nstrcmp (Closes: Bug #226503)
  * enable EUI64 support
  * stadanrds version 3.6.1 (no changes)

 -- Bernd Eckenfels <ecki@debian.org>  Fri, 23 Apr 2004 00:57:20 +0200

net-tools (1.60-9) unstable; urgency=medium

  * debian/changelog: fixed in last entry fixed bug from 197925 to 197924
  * include linux/sockios.h for SIOCGMIIPHY definition (new style)
    which will fix MII reporting on 2.4 kernels. (Closes: Bug #133648)
    NOTE: this will now require root to work, it will also not work on
    older kernels.
  * Rene Engelhard's patch to make AF X25 compile with 2.6 headers (Closes: Bug #223091)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 29 Dec 2003 13:42:20 +0100

net-tools (1.60-8) unstable; urgency=medium

  * lib/interface.c: backed off change which skipped reading ioctl 
    interfacelist, if _proc interfacelist was ok, which does not work,
    because alias interfaces are only in ioctl list available. It is 
    also falling back to the original lib/nstrcml.c because the
    comparision if : is present does not work.
    (Closes: bug #197924, #197582, #197269)
  * bumped standards version (no changes)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 28 Jun 2003 02:56:38 +0200

net-tools (1.60-7) unstable; urgency=low

  * interfaces.c: cvs version fixes Connectiva Bug #5711 (Closes: #149576)
    from Eduardo Pereira Habkost
  * netstat.c: cvs version adds support for tcp6,udp6,icmp6 protocols
  * netstat.c: cvs version adds support for -4 or -6 cmd line shortcut
  * netstat.c: cvs version adds fix for inode 
    signedness (Closes: #134600, #78932)
  * ifconfig: removed -i from usage (Closes: #181528)
  * make gcc 3.3 happy: added ull unsigned long long prefix to constant
  * lib/ddp_gr.c+pathnames.h: first support for appletalk routing from cvs
  * lib/eui64.c+hw.c+Makefile: forst support for new hw type from cvs
  * lib/interface.c: cvs fix for column run-into (Closes: #161080)
  * lib/irda.c,lib/ipx.c: cvs update
  * lib/nstrcmp.c: new, faster version, fixes b-lookups for ifconfig
  * hostanme.c: gcc 3.3 fix from cvs (not compiled in net-tools.deb)
  * lib/interface: fixed memory globbering
    (Closes: #135744, #149579, #185187)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 12 Jun 2003 05:44:38 +0200

net-tools (1.60-6) unstable; urgency=low

  * took route.c from upstream cvs: allow -6 and -4 option
  * took statistics.c from upstream cvs: more complete netstat -S
  * took README from upstream cvs: fix COPYING file title and removed
    the line (Closes: #102139)
  * took arp.c from upstream: fixed name "PUB", better not found handling,
    implicite proxy arp mac changed from '*' to '<from_interface>',
    usage line made shorter
  * added mii-tool in control file (Closes: #172473)
  * fixed description of binary multiple in man page (Closes: #182487)
  * fixed interpunctation in netstat(8) (Closes: #191660)
  * fixed compile warning in inet_sr.c by removing empty default: label in
    switch

 -- Bernd Eckenfels <ecki@debian.org>  Wed, 28 May 2003 22:35:12 +0200

net-tools (1.60-5) unstable; urgency=low

  * thanks Andrew for the 4.1 NMU
  * NMU: Apply nameif patch from Matt Domsch. (Closes: #178209)
  * Fix FTB bug (string concatenation in gcc 3.3) (Closes: #194995)
  * Fix segfault in mii-tool by using cvs version (Closes: #139027)
  * fixed plural of authors to make lintian happy (I JOIN YOU :)

 -- Bernd Eckenfels <ecki@debian.org>  Wed, 28 May 2003 22:04:14 +0200

net-tools (1.60-4.1) unstable; urgency=low

  * NMU
  * Apply nameif patch from Matt Domsch. (Closes: #178209)

 -- Andrew Suffield <asuffield@debian.org>  Wed,  9 Apr 2003 21:44:09 +0100

net-tools (1.60-4) unstable; urgency=medium

  * fixed (upstream) spurious newline in ifconfig
    Thanks Jonathen, Closes: Bug #109379
  * fixed SI-Units printout in ifconfig (Closes: Bug #110629, #97029, #100167)

