=== tools/netkit-base-0.17/debian/changelog ===
netkit-base (0.17-0.1.ipv6rel4pre1.1) unstable; urgency=low

  * New upstream release (NMU)
  * Applied IPv6 patch (ftp://ftp.ferrara.linux.it/pub/ipv6/)

 -- Takuo KITAME <kitame@northeye.org>  Mon, 18 Jun 2001 13:25:28 +0900

netkit-base (0.10-8) unstable; urgency=low

  * Remove dh_suidregister, etc. (Closes: Bug#83022, Bug#84827)
  * Remove netkit-rpc, which is now in libc6

  * Include both sys/time.h and time.h so we can build. (Closes: Bug#96807) 
    We should probably switch from times()/CLK_TCK to clock()/CLOCKS_PER_SEC
    or something. Fun fun fun.

  * Fix ping on alpha. How? We don't try stuffing a timeval in the
    transmitted packet; instead we do what the comments claim we
    do (roughly): we convert the timeval struct into two four byte
    network-byte-order-ulongs, and transmit them. This should avoid any
    portability problems, on arches that require longs to be something
    other than 8 byte aligned, eg.  (Closes: Bug#69333, Bug#70595,
    Bug#72307, Bug#95017, Bug#82733, Bug#86884)

 -- Anthony Towns <aj@azure.humbug.org.au>  Fri,  8 Jun 2001 13:01:20 +1000

netkit-base (0.10-6) unstable; urgency=high

  * Fixed unterminated buffer bug (strncpy is used, but the resultant
    string may not be NUL terminated, and it's later printf'ed) in ping.
    Probably not exploitable.

 -- Anthony Towns <aj@azure.humbug.org.au>  Mon,  8 Jan 2001 13:26:10 +1000

netkit-base (0.10-5) unstable; urgency=low

  * Remove the --exec arguments from inetd's init.d script, so that it can
    be stopped/restarted in the postinst, after the running binary has
    been updated. Kill any additional leftover inetd processes left
    from previous, buggy, netbases in case the admin hasn't already done
    so. (Closes: Bug#69397)

  * Mark cron.daily/netkit-inetd as a conffile.

 -- Anthony Towns <ajt@debian.org>  Sun, 31 Dec 2000 13:47:13 +1000

netkit-base (0.10-4) unstable; urgency=low

  * Removed superfluous build-time dependency on debconf-utils. No idea
    at all why that was there.

  * debian/templates: Added Italian translation, thanks to Eugenia
    Franzoni, from netbase bug report 64219.

 -- Anthony Towns <ajt@debian.org>  Thu, 28 Dec 2000 17:00:40 +1000

netkit-base (0.10-3) unstable; urgency=low

  * When replacing netbase, inetd gets started, but didn't get stopped. It
    gets stopped now. (Closes: Bug#68855, Bug#69030).
  * With the previous version's postinst fix, I should be able to also say:
    (Closes: Bug#68898, Bug#68871)
  * Change reference to /etc/init.d/netbase to /etc/init.d/inetd in
    inetd.8. Thanks to Alex Romosan for spotting this. (Closes: Bug#68850)

 -- Anthony Towns <ajt@debian.org>  Thu, 17 Aug 2000 13:58:13 +1000

netkit-base (0.10-2) unstable; urgency=low

  * Fixed netkit-inetd postinst to refer to the netkit-inetd debconf
    question, not the old netbase one which no longer exists.
  * Revised history (s/Initial Release/Split from netbase/).

 -- Anthony Towns <ajt@debian.org>  Thu, 10 Aug 2000 13:06:08 +1000

netkit-base (0.10-1) unstable; urgency=low

  * Split from netbase.

 -- Anthony Towns <ajt@debian.org>  Sat,  5 Aug 2000 20:20:26 +1000
