=== tools/openssh-4.4p1/debian/changelog ===
openssh (1:4.3p2-5) unstable; urgency=low

  * Remove ssh/insecure_telnetd check altogether (closes: #391081).
  * debconf template translations:
    - Update Danish (thanks, Claus Hindsgaul; closes: #390612).

 -- Colin Watson <cjwatson@debian.org>  Thu,  5 Oct 2006 09:04:19 +0100

openssh (1:4.3p2-4) unstable; urgency=high

  * Backport from 4.4p1 (since I don't have an updated version of the GSSAPI
    patch yet):
    - CVE-2006-4924: Fix a pre-authentication denial of service found by
      Tavis Ormandy, that would cause sshd(8) to spin until the login grace
      time expired (closes: #389995).
    - CVE-2006-5051: Fix an unsafe signal hander reported by Mark Dowd. The
      signal handler was vulnerable to a race condition that could be
      exploited to perform a pre-authentication denial of service. On
      portable OpenSSH, this vulnerability could theoretically lead to
      pre-authentication remote code execution if GSSAPI authentication is
      enabled, but the likelihood of successful exploitation appears remote.

  * Read /etc/default/locale as well as /etc/environment (thanks, RaphaÃ«l
    Hertzog; closes: #369395).
  * Remove no-longer-used ssh/insecure_rshd debconf template.
  * Make ssh/insecure_telnetd Type: error (closes: #388946).

  * debconf template translations:
    - Update Portuguese (thanks, Rui Branco; closes: #381942).
    - Update Spanish (thanks, Javier FernÃ¡ndez-Sanguino PeÃ±a;
      closes: #382966).

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Sep 2006 16:28:24 +0100

openssh (1:4.3p2-3) unstable; urgency=low

  * Document KeepAlive->TCPKeepAlive renaming in sshd_config(5) (closes:
    https://launchpad.net/bugs/50702).
  * Change sshd user's shell to /usr/sbin/nologin (closes: #366541).
    Introduces dependency on passwd for usermod.
  * debconf template translations:
    - Update French (thanks, Denis Barbier; closes: #368503).
    - Update Dutch (thanks, Bart Cornelis; closes: #375100).
    - Update Japanese (thanks, Kenshi Muto; closes: #379950).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Jul 2006 00:12:36 +0100

openssh (1:4.3p2-2) unstable; urgency=low

  * Include commented-out pam_access example in /etc/pam.d/ssh.
  * On '/etc/init.d/ssh restart', create /var/run/sshd before checking the
    server configuration, as otherwise 'sshd -t' will complain about the
    lack of /var/run/sshd (closes: https://launchpad.net/bugs/45234).
  * debconf template translations:
    - Update Russian (thanks, Yuriy Talakan'; closes: #367143).
    - Update Czech (thanks, Miroslav Kure; closes: #367161).
    - Update Italian (thanks, Luca Monducci; closes: #367186).
    - Update Galician (thanks, Jacobo Tarrio; closes: #367318).
    - Update Swedish (thanks, Daniel Nylander; closes: #367971).

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 May 2006 09:14:27 +0100

openssh (1:4.3p2-1) unstable; urgency=low

  * New upstream release (closes: #361032).
    - CVE-2006-0225: scp (as does rcp, on which it is based) invoked a
      subshell to perform local to local, and remote to remote copy
      operations. This subshell exposed filenames to shell expansion twice;
      allowing a local attacker to create filenames containing shell
      metacharacters that, if matched by a wildcard, could lead to execution
      of attacker-specified commands with the privilege of the user running
      scp (closes: #349645).
    - Add support for tunneling arbitrary network packets over a connection
      between an OpenSSH client and server via tun(4) virtual network
      interfaces. This allows the use of OpenSSH (4.3+) to create a true VPN
      between the client and server providing real network connectivity at
      layer 2 or 3. This feature is experimental.
    - Reduce default key length for new DSA keys generated by ssh-keygen
      back to 1024 bits. DSA is not specified for longer lengths and does
      not fully benefit from simply making keys longer. As per FIPS 186-2
      Change Notice 1, ssh-keygen will refuse to generate a new DSA key
      smaller or larger than 1024 bits.
    - Fixed X forwarding failing to start when the X11 client is executed in
      background at the time of session exit.
    - Change ssh-keygen to generate a protocol 2 RSA key when invoked
      without arguments (closes: #114894).
    - Fix timing variance for valid vs. invalid accounts when attempting
      Kerberos authentication.
    - Ensure that ssh always returns code 255 on internal error
      (closes: #259865).
    - Cleanup wtmp files on SIGTERM when not using privsep.
    - Set SO_REUSEADDR on X11 listeners to avoid problems caused by
      lingering sockets from previous session (X11 applications can
      sometimes not connect to 127.0.0.1:60xx) (closes:
      https://launchpad.net/bugs/25528).
    - Ensure that fds 0, 1 and 2 are always attached in all programs, by
      duping /dev/null to them if necessary.
    - Xauth list invocation had bogus "." argument.
    - Remove internal assumptions on key exchange hash algorithm and output
      length, preparing OpenSSH for KEX methods with alternate hashes.
    - Ignore junk sent by a server before it sends the "SSH-" banner.
    - Many manual page improvements.
    - Lots of cleanups, including fixes to memory leaks on error paths and
      possible crashes.
  * Update to current GSSAPI patch from
    http://www.sxw.org.uk/computing/patches/openssh-4.3p2-gsskex-20060223.patch
    (closes: #352042).
  * debian/rules: Resynchronise CFLAGS with that generated by configure.
  * Restore pam_nologin to /etc/pam.d/ssh; sshd no longer checks this itself
    when PAM is enabled, but relies on PAM to do it.
  * Rename KeepAlive to TCPKeepAlive in default sshd_config
    (closes: #349896).
  * Rephrase ssh/new_config and ssh/encrypted_host_key_but_no_keygen debconf
    templates to make boolean short descriptions end with a question mark
    and to avoid use of the first person.
  * Ship README.tun.

