=== tools/openssl-0.9.8e/debian/changelog ===
openssl (0.9.8e-4) unstable; urgency=low

  * openssl should depend on libssl0.9.8 0.9.8e-1 since it 
    uses some of the defines that changed to functions.
    Other things build against libssl or libcrypto shouldn't 
    have this problem since they use the old headers.
    (Closes: #414283)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 10 Mar 2007 17:11:46 +0000

openssl (0.9.8e-3) unstable; urgency=low

  * Add nagios-nrpe-server to the list of services to be checked
    (Closes: #391188)
  * EVP_CIPHER_CTX_key_length() should return the set key length in the
    EVP_CIPHER_CTX structure which may not be the same as the underlying
    cipher key length for variable length ciphers.
    From upstream CVS.  (Closes: #412979)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun,  4 Mar 2007 23:22:51 +0000

openssl (0.9.8e-2) unstable; urgency=low

  * Undo include changes that change defines into real functions,
    but keep the new functions in the library.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 25 Feb 2007 19:19:19 +0000

openssl (0.9.8e-1) unstable; urgency=low

  * New upstream release
    - Inludes security fixes for CVE-2006-2937, CVE-2006-2940,
      CVE-2006-3738, CVE-2006-4343 (Closes: #408902)
    - s_client now properly works with SMTP.  Also added support
      for IMAP.  (closes: #221689)
    - Load padlock modules (Closes: #345656, #368476)
  * Add clamav-freshclam and clamav-daemon to the list of service that
    need to be restarted.  (Closes: #391191)
  * Add armel support.  Thanks to Guillem Jover <guillem.jover@nokia.com>
    for the patch.  (Closes: #407196)
  * Add Portuguese translations.  Thanks to Carlos Lisboa.  (Closes: 408157)
  * Add Norwegian translations.  Thanks to Bjørn Steensrud
    <bjornst@powertech.no> (Closes: #412326)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 25 Feb 2007 18:06:28 +0000

openssl (0.9.8c-4) unstable; urgency=low

  * Add German debconf translation.  Thanks to
    Johannes Starosta <feedback-an-johannes@arcor.de> (Closes: #388108)
  * Make c_rehash look for both .pem and .crt files.  Also make it support
    files in DER format.  Patch by "Yauheni Kaliuta" <y.kaliuta@gmail.com>
    (Closes: #387089)
  * Use & instead of && to check a flag in the X509 policy checking.
    Patch from upstream cvs.  (Closes: #397151)
  * Also restart slapd for security updates (Closes: #400221)
  * Add Romanian debconf translation.  Thanks to
    stan ioan-eugen <stan.ieugen@gmail.com> (Closes: #393507)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 30 Nov 2006 20:57:46 +0000

openssl (0.9.8c-3) unstable; urgency=low

  * Fix patch for CVE-2006-2940, it left ctx unintiliased.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon,  2 Oct 2006 18:05:00 +0200

openssl (0.9.8c-2) unstable; urgency=high

  * Fix security vulnerabilities (CVE-2006-2937, CVE-2006-2940,
    CVE-2006-3738, CVE-2006-4343).  Urgency set to high.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 27 Sep 2006 21:24:55 +0000

openssl (0.9.8c-1) unstable; urgency=low

  * New upstream release
    - block padding bug with compression now fixed upstream, using
      their patch.
    - Includes the RSA Signature Forgery (CVE-2006-4339) patch.
    - New functions AES_bi_ige_encrypt and AES_ige_encrypt:
      bumping shlibs to require 0.9.8c-1.
  * Change the postinst script to check that ntp is installed instead
    of ntp-refclock and ntp-simple.  The binary is now in the ntp
    package.
  * Move the modified rand/md_rand.c file to the right place,
    really fixing #363516.
  * Add partimage-server conserver-server and tor to the list of service
    to check for restart.  Add workaround for openssh-server so it finds
    the init script.  (Closes: #386365, #386400, #386513)
  * Add manpage for c_rehash.
    Thanks to James Westby <jw+debian@jameswestby.net> (Closes: #215618)
  * Add Lithuanian debconf translation.
    Thanks to Gintautas Miliauskas <gintas@akl.lt>  (Closes: #374364)
  * Add m32r support.
    Thanks to Kazuhiro Inaoka <inaoka.kazuhiro@renesas.com>
    (Closes: #378689)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 17 Sep 2006 14:47:59 +0000

openssl (0.9.8b-3) unstable; urgency=high

  * Fix RSA Signature Forgery (CVE-2006-4339) using patch provided
    by upstream.
  * Restart services using a smaller version that 0.9.8b-3, so
    they get the fixed version.
  * Change the postinst to check for postfix instead of postfix-tls.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue,  5 Sep 2006 18:26:10 +0000

openssl (0.9.8b-2) unstable; urgency=low

  * Don't call gcc with -mcpu on i386, we already use -march, so no need for
    -mtune either.
  * Always make all directories when building something:
    - The engines directory didn't get build for the static directory, so
      where missing in libcrypo.a
    - The apps directory didn't always get build, so we didn't have an openssl
      and a small part of the regression tests failed.
  * Make the package fail to build if the regression tests fail.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 15 May 2006 16:00:58 +0000

openssl (0.9.8b-1) unstable; urgency=low

  * New upstream release
    - New functions added (EVP_CIPHER_CTX_new, EVP_CIPHER_CTX_free), bump shlibs.
    - CA.pl/CA.sh now calls openssl ca with -extensions v3_ca, setting CA:TRUE
      instead of FALSE.
    - CA.pl/CA.sh creates crlnumber now.  (Closes: #347612)
  * Run debconf-updatepo, which really already was in the 0.9.8a-8 version
    as it was uploaded.
  * Add Galician debconf translation.  Patch from
    Jacobo Tarrio <jtarrio@trasno.net>  (Closes: #361266)
  * libssl0.9.8.postinst makes uses of bashisms (local variables)
    so use #!/bin/bash
  * libssl0.9.8.postinst: Call set -e after sourcing the debconf
    script.
  * libssl0.9.8.postinst: Change list of service that may need
    to be restarted:
    - Replace ssh by openssh-server
    - Split postgresql in postgresql-7.4 postgresql-8.0 postgresql-8.1
    - Add: dovecot-common bind9 ntp-refclock ntp-simple openntpd clamcour

