=== tools/samba-3.0.14a/debian/changelog ===
samba (3.0.14a-4) unstable; urgency=high

  * Last-minute upload for sarge, because I don't listen to anything
    that RM guy says
  * Patch smbmount to strip CAP_UNIX out of the capabilities passed to
    the kernel when uid, gid, dmask, or fmask options have been
    specified; this keeps the mount permissions from changing out from
    under the user when upgrading to a server (or to a kernel) that 
    supports unix extensions.  Closes: #310982.
  * Second patch to smbclient search continuation logic, from upstream:
    preserve the original UCS2 filename to guard against lossy
    conversions, and break out if we find ourselves looping.
    Closes: #311157.
  * Upstream fix to make print job cancellations work on big-endian
    systems when talking to RAP-style clients (i.e., smbclient).
    Closes: #311213.
  * Add build-dependency on libpopt-dev, so that we consistently use the
    system popt lib instead of the bundled one.

 -- Steve Langasek <vorlon@debian.org>  Thu,  2 Jun 2005 07:02:46 -0700

samba (3.0.14a-3) unstable; urgency=high

  * Urgency set to high for a bug that makes smbclient/libsmbclient
    /almost/ mostly unusable
  * Fix smbclient's search continuation logic so that it works correctly
    against 2K servers offering VFAT-hosted shares; many thanks to
    Jeremy Allison for the timely upstream fix.  Closes: #309798.
  * Update pt_BR debconf translation.  Thanks to Andre Luis Lopes
    <andrelop@debian.org>. (closes: #308510)
  * Add Russian debconf translation, thanks to Yuriy Talakan
    <yt@amur.elektra.ru>. (closes: #310063)

 -- Steve Langasek <vorlon@debian.org>  Thu, 26 May 2005 23:37:57 -0700

samba (3.0.14a-2) unstable; urgency=low

  * Point the sense of the file_is_special() check right way around;
    thanks to Matthijs Mohlmann for catching this.  Closes: #305747.
  * debian/patches/dos7-xcopy-always-copies-files.patch:
    Fix the MS-DOS 7 XCOPY copying files over and over bug
    Closes: #309003
  * Steve Langasek <vorlon@debian.org>:
    - Add Christian Perrier to Uploaders:.  Thanks, Christian :)

 -- Steve Langasek <vorlon@debian.org>  Sun,  8 May 2005 04:43:21 -0700

samba (3.0.14a-1) unstable; urgency=low

  * New upstream version
    - A more complete upstream fix for missing files in file listings,
      should really give us working (closes: #302771); drop
      xp-missing-files.patch, which has been superseded.
  * Use the right path when removing mount.cifs binary in the clean
    target.  Closes: #303318.

 -- Steve Langasek <vorlon@debian.org>  Mon, 18 Apr 2005 03:22:29 -0700

samba (3.0.11-1) unstable; urgency=high

  * New upstream version
    - Fixes duplicated entry in swat(8) manpage (closes: #292957).
    - Fix queue handling so that processes serving print clients don't
      spin off into infinity and clobber the system (closes: #274969).
    - Make sure we use C-locale toupper/tolower functions for case
      conversion, since Turkish pairing rules are incompatible
      (closes: #286174).
  * Fix logrotate script to exit true instead of false when nmbd.pid is
    missing (closes: #287263).
  * Added Portuguese debconf translation. Thanks to Miguel Figueiredo
    <elmig@debianpt.org>. (closes: #286375)
  * Added Italian debconf translation. Thanks to Luca Monducci
    <luca.mo@tiscali.it>. (closes: #284125)
  * Add support for building on the Debian BSD and Hurd ports; thanks to
    Robert Millan for the patch. (closes: #266693)
  * debian/patches/xp-missing-files.patch: import patch from upstream to
    fix missing entries in directory listings when talking to WinXP
    servers (closes: #297771).

 -- Steve Langasek <vorlon@debian.org>  Wed, 23 Mar 2005 00:13:16 -0800

samba (3.0.10-1) unstable; urgency=high

  * New upstream release.
    - CAN-2004-1154: integer overflow can lead to remote code execution
      by authenticated users; closes: #286023.
  * High-urgency upload for sarge-targetted RC bugfix.  
  * Sync the fhs.patch to samba 3.0.10.
  * Install mount.cifs suid root, to make user mounts possible
    (closes: #283819).
  * debian/patches/cups.patch: Change the default printing system, so we
    can compile in CUPS support without making it the default -- CUPS is
    not a reasonable default on Debian, at least for sarge.

 -- Steve Langasek <vorlon@debian.org>  Fri, 17 Dec 2004 11:56:01 -0800

samba (3.0.9-1) unstable; urgency=low

  * New upstream release
    - Fixes Win9x printing; closes: #283530, #282571, #283818.
    - Fixes a problem with setting dosmodes on filesystems without ACL
      support; closes: #283661.
    - Drop ldapsam_compat.patch, redundant now that a fix is integrated
      upstream

 -- Steve Langasek <vorlon@debian.org>  Thu,  2 Dec 2004 01:11:39 -0800

samba (3.0.8-2) unstable; urgency=low

  * Fix the module paths for python2.3-samba so that "import foo from samba"
    works, and include the __init__.py glue; closes: #222867).
  * Enable quota support; closes: #246839.
  * Fix missing symbols in libsmbclient (and libnss_wins), and add
    -Wl,-z,defs to the libsmbclient link options to prevent future
    instances of undefined symbols (closes: #281181).
  * Fix for the legacy ldapsam_compat backend; thanks to Fabien
    Chevalier for the patch (closes: #274155).

 -- Steve Langasek <vorlon@debian.org>  Mon, 15 Nov 2004 06:54:13 -0800

samba (3.0.8-1) unstable; urgency=high

  * New upstream package. Urgency set to "high" because of a potential
    Denial of Service vulnerability in previous 3.0.x releases
    (CAN-2004-0930). (Eloy)
  * Introduce new -dbg package, so we can make better sense out of the
    cleverly-supplied backtrace emails. (Vorlon)
  * Applied patch from Luke Mewburn <luke@mewburn.net> to fix missing
    lock_path() to state_path() change in the FHS patches. (Eloy)

 -- Eloy A. Paris <peloy@debian.org>  Mon,  8 Nov 2004 13:39:34 -0500

samba (3.0.7-2) unstable; urgency=high

  * High-urgency upload for sarge-targetted RC fixes.

