=== tools/stunnel-3.26/debian/changelog ===
stunnel (2:3.26-2) unstable; urgency=low

  * Do not remove broken release file, it is not possible to handle 
    correctly broken release without risk to remove user configuration file
    (Closes: #242215)

 -- Julien Lemoine <speedblue@debian.org>  Wed,  7 Apr 2004 22:04:34 +0200

stunnel (2:3.26-1) unstable; urgency=low

  * New upstream release
  * Upgraded to debian policy 3.6.1
  * Added a 'Replaces: stunnel4' (file /usr/share/stunnel/stunnel.html
    is also in package stunnel4. Package stunnel4 2:4.04.0-4 fix this 
    problem).
  
 -- Julien LEMOINE <speedblue@debian.org>  Thu,  4 Sep 2003 13:08:03 +0200

stunnel (2:3.24-3) unstable; urgency=low

  * Fixed error in README.Debian (there is no more /etc/default/stunnel and
    /etc/init.d/stunnel)
  * Upgraded to debian policy 3.6.0
  
 -- Julien LEMOINE <speedblue@debian.org>  Thu, 21 Aug 2003 12:27:54 +0200

stunnel (2:3.24-2) unstable; urgency=low

  * Clean all trace of old stunnel package (/etc/default/stunnel, 
    /etc/init.d/stunnel and /etc/rc*/*stunnel)
    (Closes: #203225)

 -- Julien LEMOINE <speedblue@debian.org>  Mon, 28 Jul 2003 22:42:08 +0200

stunnel (2:3.24-1) unstable; urgency=low

  * Split stunnel package. Stunnel versions 4.x are now in stunnel4 packages
    and stunnel 3.x versions are now in stunnel package to keep backwards
    compatibility.
    (Closes: #199491)

 -- Julien LEMOINE <speedblue@debian.org>  Sat,  5 Jul 2003 23:10:12 +0200

stunnel (4.04-5) unstable; urgency=low

  * The "I need to sleep more to avoid making typos" release.
  * Fixed typos in default/init file (ENABLED instead of ENABLE)
    (Closes: #197958)
  * Commented all stunnel.conf file, client=no is the default value
    (Closes: #197961)

 -- Julien LEMOINE <speedblue@debian.org>  Thu, 19 Jun 2003 00:40:28 +0200

stunnel (4.04-4) unstable; urgency=low

  * Added /etc/default/stunnel with a variable ENABLE.
    ENABLE=0 by default since stunnel segv on some computer when all lines
    are commented (Closes: #197663, #197615)

 -- Julien LEMOINE <speedblue@debian.org>  Mon, 16 Jun 2003 22:04:17 +0200

stunnel (4.04-3) unstable; urgency=low

  * comment ldap sample (Closes: #197566)

 -- Julien LEMOINE <speedblue@debian.org>  Mon,  9 Jun 2003 15:03:41 +0200

stunnel (4.04-2) unstable; urgency=low

  * Fixed typo in init.d script (Closes: #197499)
  * Added a commented example in stunnel.conf from Craig Sanders

 -- Julien LEMOINE <speedblue@debian.org>  Sun, 15 Jun 2003 18:06:07 +0200

stunnel (4.04-1) unstable; urgency=low

  * New upstream release (Closes: #177532, Closes: 188137)
  * New maintainer
  * Stunnel has no more -L option (Closes: #120265)
  * Stunnel has no more -l option (Closes: #175844)
  * Shutdown(1) problem was fixed (Closes: #111125)
  * Problem with large data resolved (tested with a 5Mo file)
    (Closes: #112287)
  * Licence is now GPL version 2 with agreement to link with openssl
    (Closes: #147665)
  * stunnel can execute command (Closes: #147537)
  * added a lintian overwrite for libstunnel.so since it is compiled with
    -avoid-version
  * Fixed problem with path (/etc/ instead of $(prefix)/etc, ...)
  * Include default configuration file in /etc
  * Upgraded to debian policy 3.5.10
  * Added init.d file
  
 -- Julien LEMOINE <speedblue@debian.org>  Sat, 24 May 2003 02:30:20 +0200

stunnel (3.22-1) unstable; urgency=high

  * New upstream release (closes: bug#126627).
  * Typo fix in postinst (closes: bug#120199, bug#121904)

 -- Paolo Molaro <lupus@debian.org>  Sun, 30 Dec 2001 10:31:46 +0100

stunnel (3.21.c-1) unstable; urgency=low

  * New upstream release (Closes: bug#111139, bug#102834, bug#61427).
  * Avoid generating automatically the initial stunnel.pem, openssl cannot be
    reliably used in a non-interactive way (Closes: bug#60776, bug#98445). Info 
    on how to generate the certificate is now included in README.Debian.
  * There is support for (re)setting OOB data handling in the new upstream
    version (Closes: bug#107503).
  * Include the sample /etc/iniy.d/stunnel file as an example in the package
    (Closes: bug#114669).

 -- Paolo Molaro <lupus@debian.org>  Sat, 17 Nov 2001 12:31:04 +0100

stunnel (3.14-1) unstable; urgency=low

  * New upstream release
  * Actually compile it against the new libssl (Closes: #86916).

 -- Paolo Molaro <lupus@debian.org>  Fri, 23 Feb 2001 18:57:18 +0100

stunnel (3.13-1) unstable; urgency=low

  * New upstream release.
  * Recompile with and depend on libssl096 (Closes: #85000, #86385, #83857, #82500).
  * Already fixed in previous aborted upload (Closes: #82105, #77227, #80079, #76576).

 -- Paolo Molaro <lupus@debian.org>  Sun, 18 Feb 2001 21:30:50 +0100

stunnel (3.10-1) unstable; urgency=high

  * New upstream release.

 -- Paolo Molaro <lupus@debian.org>  Wed, 20 Dec 2000 15:14:08 +0100

stunnel (3.10-0potato1) stable; urgency=high

  * New upstream release.

 -- Paolo Molaro <lupus@debian.org>  Wed, 20 Dec 2000 13:07:35 +0100

stunnel (3.9-0potato1) stable; urgency=high

  * New upstream release: security fix (Closes: #80079, #76576).
  * Use correct dir for pid (Closes: #77227).

 -- Paolo Molaro <lupus@debian.org>  Wed, 20 Dec 2000 11:24:18 +0100

stunnel (3.8-1) unstable; urgency=low

  * New upstream version (Closes: #75117, #67010).
  * Read 1k of random data in a temp file (Closes: #69808).
  * Added a note in postrm about the stunnel.pem file that
    is left in /etc/ssl/certs: it is safer if the user deals with
    it since it may have been create by him and not stunnel (Closes: #57648).

 -- Paolo Molaro <lupus@debian.org>  Wed,  5 Jul 2000 16:43:07 +0000

stunnel (3.4a-6) unstable; urgency=low

  * Depends on openssl 0.9.4 (closes: bug#53947).

 -- Paolo Molaro <lupus@debian.org>  Tue,  4 Jan 2000 12:37:24 +0100

stunnel (3.4a-5) unstable; urgency=medium

  * Include upstream download info in copyright (closes: bug#53301).
  * Include example from Steve Haslam to make stunnel run from a
    init script (closes: bug#53300).


