=== tools/sysvinit-2.86.ds1.orig/debian/changelog ===
sysvinit (2.86.ds1-1) unstable; urgency=low

  * New upload with a clean .orig.tar.gz archive without the .o files.
    No other changes from 2.86-5.  Used the .ds naming convention
    that is suggested for packages which need to have their
    docs removed (thanks, Marc Haber)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 10 Dec 2004 00:04:18 +0100

sysvinit (2.86-5) unstable; urgency=high

  * Remove leftover debugging "echo" that prevented
    /etc/init.d/mountnfs.sh from actually doing anything (closes: #270894)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 10 Sep 2004 16:57:34 +0200

sysvinit (2.86-4) unstable; urgency=high

  * Same upload, this time built without -sa so that original source
    isn't included (archive rejects it).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  8 Sep 2004 11:59:08 +0200

sysvinit (2.86-3) unstable; urgency=high

  * Upload of -3 to unstable so that -2 can go into testing-proposed-updates

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  6 Sep 2004 20:07:38 +0200

sysvinit (2.86-2) testing-proposed-updates; urgency=high

  * Remove .clean file before touching it; prevents symlink attack
    which in rare circumstances could result in random file creation
    (closes: #264234)
  * Do the above in a noclobber environment (Martin Pitt).
  * Don't mount network filesystems multiple times (closes: #264894)
  * Include .orig.tar.gz source in -2 again ("dpkg-buildpackage -sa") -
    the one that comes with -1 erronously includes .o files and
    binaries (oops!).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  6 Sep 2004 19:02:19 +0200

sysvinit (2.86-1) unstable; urgency=medium

  * Better algorithm for pidof (closes: #248210)
  * Include fsck.nfs.8 (closes: #250089)
  * Include new skeleton script (closes: #244908)
  * Better error message on failure to find path to mtab (closes: #255820)
  * Add support for fstype ncp (alias for ncpfs) (closes: #259971)
  * Touch /tmp/.clean earlier (closes: #255303)
  * Don't include halt and reboot for hurd-i386 (closes: #255880)
  * Remove XSIisms in mountvirtfs and invoke-rc.d (closes: #256726)
  * Add "-t $roottype" to mount -f for / (closes: #255849)
  * Always initialize PATH (to /bin:/usr/bin:/sbin:/usr/sbin) (closes: #258065)
  * Try harder to remount ro and rw (closes: #259979)
  * Add support for LABEL=/UUID= in checkroot.sh (closes: #261342)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 30 Jul 2004 14:17:05 +0200

sysvinit (2.85-22) unstable; urgency=medium

  * Fix typo in /etc/init.d/halt (closes: #255133)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 19 Jun 2004 12:40:12 +0200

sysvinit (2.85-21) unstable; urgency=medium

  * Create dependencies on glibc (>= 2.3.2.ds1-12) not through the
    shlibs.local hack anymore. That might clash with a future system
    shlibs file. Use the same method as we use to generate the
    mount dependency - with a script (closes: #253314).
  * In checkroot.sh always use the two-argument version of mount
    so that mount doesn't confuse device and directory (closes: #254724)
  * Change [ cond1 -a cond2 ] to [ cond1 ] && [ cond2 ] everywhere.
  * Fix mountvirtsfs, it broke for virtual filesystems mentioned in
    fstab without any options (closes: #254271)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 18 Jun 2004 13:43:55 +0200

sysvinit (2.85-20) unstable; urgency=low

  * Create /dev/pts in mountvirtfs for Linux + devfs (closes: #252625)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:45:12 +0200

sysvinit (2.85-19) unstable; urgency=low

  * Create /dev/{pts,shm} and /sys in postinst (closes: #252820, #252925)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:30:31 +0200

sysvinit (2.85-18) unstable; urgency=medium

  * Fix typo in /etc/init.d/single (closes: #252611)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 14:38:55 +0200

sysvinit (2.85-17) unstable; urgency=low

  * On Debian/k*BSD, dmesg is in /sbin (closes: #252518)
  * On Debian/k*BSD, RB_HALT_SYSTEM is called RB_HALT
  * RB_POWEROFF can be RB_POWER_OFF (closes: #252547, #252598)
  * Add /sys, /dev/pts and /dev/shm to sysvinit. Remove the
    mkdir's for those directories from mountvirtfs.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 11:51:46 +0200

sysvinit (2.85-16) unstable; urgency=high

  * Remove /etc/init.d/{mountkernfs,devpts.sh) that glibc installed
    since mountvirtfs now provides these. (closes: #230857)
  * Remove -e from mountvirtfs (closes: #232122)
  * Add some more comments/documentation to mountvirtfs
  * Initscripts depends on libc6 anyway right now, so we let it
    depend on libc6 (>= 2.3.2.ds1-12) via shlibs.local
  * Suggest sysv-rc-conf (closes: #244643)
  * Updated french manpage for update-rc.d (closes: #245007)
  * Use larger dmesg buffer (-s option) (closes: #242923)
  * Fix up comments in /etc/default/tmpfs (closes: #245681)
  * Added GNU/Hurd and kFreeBSD fixes (closes: #246743)
  * Run mountvirtfs again at S36 so that it mounts /proc/bus/usb in
    case usb was loaded as a module (closes: #249031)
  * Don't mkdir /dev/pts if it's not there - and don't mount devpts
    filesystem on it either in that case. Should help udev.
  * mountvirtfs now uses the options from /etc/fstab (closes: #251016)
  * add filesystem type "cifs" as network fs (closes: #248919)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  3 Jun 2004 20:03:33 +0200

sysvinit (2.85-15) unstable; urgency=high

  * Drop bogus dependency on fileutils (closes: #241570)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Apr 2004 17:07:24 +0200

sysvinit (2.85-14) unstable; urgency=high

  * When remounting "/", just use "mount -n -o remount,rw /" and don't
    bother with the device or other arguments - "mount" will look up the
    root device in /etc/fstab, but the device argument to the mount

