=== tools/udev-0.105.orig/debian/changelog ===
udev (0.105-4) unstable; urgency=high

  * Added support for the $ROOTDELAY variable in the initramfs.
    Patch contributed by David Härdeman. (Closes: #414842)
  * Fixed libdir in libvolume_id.pc. (Closes: #415744)
  * permissions.rules: backported the upstream changeset
    188394ce8eb235b67226f9166dfe7ca958387e6a which makes udevd wait for
    0:0:0:0 SCSI devices only.
  * permissions.rules: use group cdrom for WORM SCSI devices too.
  * permissions.rules: added kvm group kvm.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Mar 2007 03:44:45 +0100

udev (0.105-3) unstable; urgency=high

  * persistent.rules: added backported rules for nst* and sg* tape changers.
  * New debconf translations: nl. (Closes: #408176, #412551)

 -- Marco d'Itri <md@linux.it>  Sat,  3 Mar 2007 22:02:51 +0100

udev (0.105-2) unstable; urgency=high

  * postinst: try again fixing #404476. (Closes: #409503)
  * hotplug.rules: do not check for the existence of $RULES_FILE in
    find_all_rules(). (Closes: #408750, #405845, #406948)
  * write_cd_rules: fixed unintended shell expansion in find_next_available().
    (Closes: #407738)
  * permissions.rules: use group tape for SCSI media changers.
    (Closes: #406843)
  * hotplug.rules: load ch for SCSI media changers. (Closes: #406869)
  * permissions.rules: ignore the removable flag for aacraid devices.
    (See #404927.)
  * Added to README.Debian a note about generation of persistent names
    rules. (Closes: #411394)
  * cd-aliases-generator.rules: by default create "by-id" rules for USB
    and Firewire devices which usually do not have a stable path.
    (Closes: #395962)
  * Backported the upstream changeset 7db33ac19c430c9a4c4af415e2febbd6b17aff2a
    which fixes access to attribute files containing a colon.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Feb 2007 01:35:50 +0100

udev (0.105-1) unstable; urgency=medium

  * New upstream release, contains only bug fixes. Fixes:
    + typos. (Closes: #408752)
    + intermittent troubles when renaming interfaces. (Closes: #405775)
  * Removed the following patches which were merged upstream:
    fix_serial_short raid_endianess_fix m32r_syscalls selinux_fix.
  * Backported the upstream changeset 5ab2e3c2c3efe9b25861ddf560b3760b9384090d
    which adds the LUN to iSCSI paths. (Closes: #409385)
  * Backed out the upstream changeset 273bebdba66cd5543dc1b076447e3275c81c221c
    which removed compatibility support for the DRIVER key.
  * Raised the dependency on module-init-tools to 3.2.2-1, which provides
    the --use-blacklist option.
  * hotplug.rules: call modprobe with the --use-blacklist option to allow
    blacklisting the broken by design aliases generated by the platform
    device drivers. (Closes: #407256)
  * persistent.rules: ignore md* devices because their add events are
    unreliable.
  * New debconf template: nl. (Closes: #410737)

 -- Marco d'Itri <md@linux.it>  Mon, 19 Feb 2007 03:56:43 +0100

udev (0.103-2) unstable; urgency=medium

  * permissions.rules: consider all block devices on usb, ieee1394, mmc
    and pcmcia buses to be removable. (Closes: #402622, #402649)
  * Added patch selinux_fix from Russell Coker to correctly label
    symlinks. Already applied upstream. (Closes: #401695)
  * Added patch m32r_syscalls by Kazuhiro Inaoka to fix inotify support
    on m32r systems. Already applied upstream. (Closes: #401826)
  * initramfs.premount premount: create the db directory before starting
    udevd, to catch some early kernel-generated events (this has no
    practical effect since the events will be immediately retriggered).
    Apply the same change to the init script. (Closes: #402320)
  * persistent-net-generator.rules: ignore ath* devices with type=802
    because they have the same MAC address of the "normal" interface and
    cause write_net_rules to write a new bogus rule every time.
    (Closes: #404983)
  * net.agent: improve robustness by checking sysfs instead of the ifstate
    file and removing the timeout. Patch and testing by Joey Hess.
    (Closes: #403804, #403805)
  * postinst: deal correctly with pipes and sockets in subdirectories of
    /dev when being installed for the first time. (Closes: #404476)
  * New patch raid_endianess_fix backported from upstream udev 104.
  * New debconf templates: da, es, pt_BR, gl, ja, cs.
    (Closes: #400789, #402924, #402927, #403547, #404577, #405316, #405834)

 -- Marco d'Itri <md@linux.it>  Mon,  8 Jan 2007 02:41:01 +0100

udev (0.103-1) unstable; urgency=medium

  * New upstream release.
  * permissions.rules: detect upper case Epson scanners too. (Closes: #392580)
  * permissions.rules: fix the permissions of the partitions of removable
    block devices. (Closes: #321642)
  * permissions.rules: added lirc[0-9]* group audio. (Closes: #396841)
  * permissions.rules: added rtc[0-9]* group audio. (Closes: #395160)
  * permissions.rules: added tun mode 666, for recent kernels.
  * persistent.rules: ignore gnbd* devices.
  * persistent.rules: added links for MMC devices.
  * persistent.rules: create disk/by-id/ata-* links for IDE devices
    controlled by libata.
  * hotplug.rules: autoload the mmc-block driver.
  * hotplug.rules: do not attempt to autoload i82365 because it's broken
    and may cause a modprobe loop (see #398962 for details).
  * udev.rules, devfs.rules: stop suppressing creation of dm-* devices,
    because they are needed by HAL. (Closes: #392623)
  * udev.rules, devfs.rules: run PROGRAMs only for "add" ACTIONs.
  * hotplug.rules: removed call to ide.agent from the udeb. (Closes: #396933)
  * Added a new 020_id.rules file with calls to cdrom_id for the udeb.
    (Closes: #400258)
  * Create the kernel-upgrade flag file also in the debconf upgrade path,
    or the new udevd will be started (and fail).
  * write_net_rules: document that MAC addresses must be written in
    lowercase. (Closes: #389743)
  * Set the SELinux contexts for devices created in the initramfs.
    (Closes: #397528)

