=== tools/net-tools-1.60/debian/control ===
Source: net-tools
Section: net
Priority: important
Build-Depends: debhelper, gettext
Maintainer: Bernd Eckenfels <ecki@debian.org>
Standards-Version: 3.6.1

Package: net-tools
Architecture: any
Depends: ${shlibs:Depends}
Replaces: netbase (<< 4.00)
Description: The NET-3 networking toolkit
 This package includes the important tools for controlling the network
 subsystem of the Linux kernel.  This includes arp, ifconfig, netstat, 
 rarp, nameif and route.  Additionally, this package contains utilities
 relating to particular network hardware types (plipconfig, slattach, 
 mii-tool) and advanced aspects of IP configuration (iptunnel, ipmaddr).
 .
 In the upstream package 'hostname' and friends are included. Those are
 not installed by this package, since there is a special "hostname*.deb".
