=== tools/netkit-base-0.17/debian/control ===
Source: netkit-base
Section: net
Priority: standard
Maintainer: Anthony Towns <ajt@debian.org>
Standards-Version: 3.5.4
Build-Depends: debhelper (>= 3.0.15)

Package: netkit-inetd
Architecture: any
Depends: ${shlibs:Depends}
Suggests: debconf
Replaces: netbase (<< 4.00)
Description: The Internet Superserver
 The inetd server is a network daemon program that specializes in managing
 incoming network connections. It's configuration file tells it what
 program needs to be run when an incoming connection is received. Any
 service port may be configured for either of the tcp or udp protcols.

Package: netkit-ping
Architecture: any
Depends: ${shlibs:Depends}
Provides: ping
Conflicts: ping, suidmanager (<< 0.50)
Replaces: netbase (<< 4.00)
Description: The ping utility from netkit
 The ping command sends ICMP ECHO_REQUEST packets to a host in order to
 test if the host is reachable via the network.
