=== tools/openssl-0.9.8e/debian/control ===
Source: openssl
Build-Depends: debhelper (>= 5.0.22), binutils (>= 2.14.90.0.7), zlib1g-dev, m4, bc
Section: utils
Priority: optional
Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>
Standards-Version: 3.7.0

Package: openssl
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, libssl0.9.8 (>= 0.9.8e-1)
Conflicts: ssleay (<< 0.9.2b)
Suggests: ca-certificates
Description: Secure Socket Layer (SSL) binary and related cryptographic tools
 This package contains the openssl binary and related tools.
 .
 It is part of the OpenSSL implementation of SSL.
 .
 You need it to perform certain cryptographic actions like:
  o  Creation of RSA, DH and DSA Key Parameters
  o  Creation of X.509 Certificates, CSRs and CRLs
  o  Calculation of Message Digests
  o  Encryption and Decryption with Ciphers
  o  SSL/TLS Client and Server Tests
  o  Handling of S/MIME signed or encrypted Mail

Package: libssl0.9.8
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: ssleay (<< 0.9.2b), libssl, openssl (<< 0.9.6-2), libssl096-dev (<< 0.9.6-2)
Description: SSL shared libraries
 libssl and libcrypto shared libraries needed by programs like
 apache-ssl, telnet-ssl and openssh.
 .
 It is part of the OpenSSL implementation of SSL.

Package: libcrypto0.9.8-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libssl0.9.8
Description: crypto shared library - udeb
 libcrypto shared library.
 .
 Do not install it on a normal system.

Package: libssl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libssl0.9.8 (= ${Source-Version}), zlib1g-dev
Conflicts: ssleay (<< 0.9.2b), libssl08-dev, libssl09-dev, libssl095a-dev, libssl096-dev
Description: SSL development libraries, header files and documentation
 libssl and libcrypt development libraries, header files and manpages
 .
 It is part of the OpenSSL implementation of SSL.

Package: libssl0.9.8-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libssl0.9.8 (= ${Source-Version})
Description: Symbol tables for libssl and libcrypt
 This package is part of the OpenSSL implementation of SSL.
