=== tools/stunnel-3.26/debian/control ===
Source: stunnel
Section: net
Priority: optional
Build-Depends: debhelper(>=4), libssl-dev, openssl, libwrap0-dev, sdf,
	       autotools-dev
Maintainer: Julien Lemoine <speedblue@debian.org>
Standards-Version: 3.6.1

Package: stunnel
Architecture: any
Depends: ${shlibs:Depends}, openssl, netbase
Replaces: stunnel4
Description: Universal SSL tunnel for network daemons
 The stunnel program is designed to work  as  SSL  encryption
 wrapper between remote client and local (inetd-startable) or
 remote server. The concept is that having non-SSL aware daemons
 running  on  your  system you can easily setup them to
 communicate with clients over secure SSL channel.
 .
 stunnel can be used to add  SSL  functionality  to  commonly
 used  inetd  daemons  like  POP-2,  POP-3  and  IMAP servers
 without any changes in the programs' code.
