=== tools/udev-0.105.orig/debian/control ===
Source: udev
Section: admin
Priority: important
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>> 4.2), bzip2, libselinux1-dev (>= 1.28-1), po-debconf
Standards-Version: 3.7.2.2

Package: udev
Architecture: any
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Replaces: initramfs-tools (<= 0.41)
Conflicts: hotplug, initscripts (<< 2.85-16), lvm-common (<< 1.5.13), module-init-tools (<< 3.2.2-1), initramfs-tools (<< 0.39), hal (<< 0.5.6-2), makedev (<< 2.3.1-80), klibc-utils (<= 1.4.19-1)
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.

Package: libvolume-id0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: libvolume_id shared library
 This library is used to detect the type of a file system and read its
 metadata.

Package: libvolume-id-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libvolume-id0 (= ${Source-Version})
Description: libvolume_id development headers
 This package provides the static libraries and header files needed
 to link programs with libvolume_id.

Package: udev-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time. It replaces
 the hotplug package and requires a kernel not older than 2.6.12.
 .
 This is a minimal version for use in debian-installer.
