=== tools/stunnel-3.26/debian/rules ===
#!/usr/bin/make -f
#                                                       -*- makefile -*-
# debian/rules file for the Debian/GNU Linux stunnel package
# Copyright 2003 by Julien LEMOINE <speedblue@debian.org>

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr 			\
	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)	\
	  --localstatedir=/var --enable-ssllib-cs 			\
	  --with-cert-dir=/etc/ssl/certs --with-pem-dir=/etc/ssl/certs
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.cache stunnel.rnd stunnel.exe
	-$(MAKE) clean
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub &&                  \
          cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess &&                \
          cp -f /usr/share/misc/config.guess config.guess
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/stunnel/usr 		\
	  localstatedir=$(CURDIR)/debian/stunnel/var
	install -p -m 0644 $(CURDIR)/debian/lintian.overrides   	\
        $(CURDIR)/debian/stunnel/usr/share/lintian/overrides/stunnel
	cp -r doc/* $(CURDIR)/debian/stunnel/usr/share/doc/stunnel/
	rm -rf $(CURDIR)/debian/stunnel/man
	rm -rf $(CURDIR)/debian/stunnel/usr/man 			\
	  $(CURDIR)/debian/stunnel/var/var

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples ca.html ca.pl importCA.html			\
	  importCA.sh stunnel.cnf
	dh_installman stunnel.8
	dh_installchangelogs
	dh_link /usr/lib/libstunnel.so /usr/lib/libstunnel.so.3
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l debian/stunnel/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
